Bug 1551380 - SELinux is preventing abrt-action-gen from 'map' accesses on the arquivo /home/ecorreia/Documentos/Projects/C++/Exceptions/bin/Debug/Exceptions.
Summary: SELinux is preventing abrt-action-gen from 'map' accesses on the arquivo /hom...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a359ae38bd108094880bb61122f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-05 02:01 UTC by eduardo.vinicius2009
Modified: 2018-04-07 05:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-10 16:05:19 UTC
Type: ---


Attachments (Terms of Use)

Description eduardo.vinicius2009 2018-03-05 02:01:32 UTC
Description of problem:
SELinux is preventing abrt-action-gen from 'map' accesses on the arquivo /home/ecorreia/Documentos/Projects/C++/Exceptions/bin/Debug/Exceptions.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-action-gen should be allowed map access on the Exceptions file by default.
Then você deve informar que este é um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
allow this access for now by executing:
# ausearch -c 'abrt-action-gen' --raw | audit2allow -M my-abrtactiongen
# semodule -X 300 -i my-abrtactiongen.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/ecorreia/Documentos/Projects/C++/Exceptions/
                              bin/Debug/Exceptions [ file ]
Source                        abrt-action-gen
Source Path                   abrt-action-gen
Port                          <Desconhecido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.26.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.15.6-300.fc27.x86_64 #1 SMP Mon
                              Feb 26 18:43:03 UTC 2018 x86_64 x86_64
Alert Count                   2
First Seen                    2018-03-04 22:55:44 -03
Last Seen                     2018-03-04 22:56:08 -03
Local ID                      cd5e0662-ed07-4a92-aecf-2550b384ff94

Raw Audit Messages
type=AVC msg=audit(1520214968.631:532): avc:  denied  { map } for  pid=10867 comm="abrt-action-gen" path="/home/ecorreia/Documentos/Projects/C++/Exceptions/bin/Debug/Exceptions" dev="dm-2" ino=1835247 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file permissive=1


Hash: abrt-action-gen,abrt_t,user_home_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-283.26.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.6-300.fc27.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2018-03-10 16:05:19 UTC
Hi, 

This looks like you testing something in homerdir, if you want to experiment, please create local policy with fixes on your system.

Comment 2 Steven van der Schoot 2018-03-26 15:54:56 UTC
Description of problem:
Opening a "New Live Script" from within Matlab generates this AVC denial.

Version-Release number of selected component:
selinux-policy-3.13.1-283.28.fc27.noarch

Additional info:
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.10-300.fc27.x86_64
type:           libreport

Comment 3 Neal Becker 2018-03-30 11:49:53 UTC
Description of problem:
Everytime my code segfaults I get this

Version-Release number of selected component:
selinux-policy-3.13.1-283.29.fc27.noarch

Additional info:
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.10-300.fc27.x86_64
type:           libreport

Comment 4 Preetam Kumar Sur 2018-04-07 05:31:13 UTC
Description of problem:
I write the follwoing c++ code in a project in CodeBlocks.

#include <iostream>
#include<string>

using namespace std;

int main()
{
    int t;
    cin>>t;
    unsigned int d;
    string p;
    for(int i = 1; i <= t; i++)
    {
        cin>>d;
        cin>>p;
        unsigned int s = 0, sum = 0, c = 1, h = 0;
        for(unsigned int j = 0; j < p.length(); j++)
            if(p[j] == 'S')
            {
                s++;
                sum += c;
            }
            else c <<= 1;
        if(s > d)
            cout<<"Case #"<<i<<": IMPOSSIBLE"<<endl;
        else
        {
            while(sum > d)
            {
                int ls = p.find_last_of('S');
                int skip = p.length() - ls + 1;
                unsigned int mc = c << skip;
                int k;
                for(k = ls; p[k] == 'S'; k--);
                p[k] = 'S';
                p[k+1] = 'C';
                h++;
                sum -= mc/2;
            }
            cout<<"Case #"<<i<<": "<<h<<endl;
        }
    }
    return 0;
}
 While running the code give the following input
1
1 CS

the error pops up

Version-Release number of selected component:
selinux-policy-3.13.1-283.28.fc27.noarch

Additional info:
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.10-300.fc27.x86_64
type:           libreport


Note You need to log in before you can comment on or make changes to this bug.